<?php
 //fray placido
$dtsFecha=fechaTexto(date("Y-m-d"),true);

$tmplEncabezado='<table align="center" border="0" align="center" class="print-encabezado" cellspacing="0" cellpadding="0"  style="font-size:10pt; font-family:arial,tahoma,verdana">
<tbody>
<tr>
<td>
 <img style="display: block; margin-left: auto; margin-right: auto;" src="../images/logo_colegio.png" alt="Escudo Institución" width="{ancho}" height="{alto}"></td>
<td style="text-align: center;">
    <span style="font-size: 20pt;">
        <strong>
            <span style="text-align: center; font-family: Edwardian Script ITC; font-size:24pt">Institución Educativa Rural Antonio Nariño</span>
        </strong>
    </span>
    <div style="font-family: Arial,sans-serif;" class="font-size-9">
        <b>Aprobada mediante Resolución N°01490 del 16 de noviembre de 2007 <br>
        Emanada por la Secretaria de educación y Cultura Departamental <br>
        Inspección Buenos Aires – Orito, Putumayo <br>
        e-mail: anarinoorito@sedputumayo.gov.co<br>
        DANE: N°286320000395 – NIT. 846.003.711-1<br></b>
    </div>
</td>
</tr>
</tbody>
</table>';


$cabestudiante = '<div  style="font-size:11pt; font-family:arial,tahoma,verdana">'
        . '<p align="justify">'
            . 'El suscrito Rector de la Institución Educativa Rural Antonio Nariño de la Inspección de Buenos Aires – Orito Putumayo, aprobada oficialmente por la Secretaría de Educación Departamental del Putumayo, mediante Resolución N°01490 del 16 de noviembre de 2007 que en su parte resolutiva dice: “Aprobar Emitir constancia de desempeño a quienes terminen satisfactoriamente los grados (Preescolar a Once) de los niveles de Educación Preescolar, Básica y Media Vocacional.'
        . '</p>'
        
        . '<p align="center" style="font-size:14pt; font-weight:bold">HACE CONSTAR</p>'
        
        . '<p align="justify">'
        . 'Que, <b>{estudiante}</b> identificad{genero} con {tipo_documento} número {numero_documento} expedido en {lug_expedicion}; una vez revisado el archivo de la IER Antonio Nariño se encontró las siguientes valoraciones  del  estudiante, quien curso y aprobó el grado {grado}  de {educacion}  en el año lectivo {anio}, obteniendo las siguientes valoraciones conceptuales.'
        . '</p>';
        
$sql = "CALL SP_CERTIFICADOS_NOTAS('$codigosest',$grupo,'" . uniqid() . "')";

if ($sesion->get('ac_usuario') == 'prointel') {
    echo $sql;
}

$academia->instruccion($sql);
$i = 1;

$parse = new CI_Parser();
$nomColegio = mb_strtoupper($sesion->getVar('info_colegio.nombre'));
$educacol = mb_strtoupper($sesion->getVar('info_colegio.educacion'));
$decreto = strtoupper($sesion->getVar('info_colegio.decreto'));
$nit = strtoupper($sesion->getVar('info_colegio.nit'));
$rector = mb_strtoupper($sesion->getVar('info_colegio.rector'));
$trato= mb_strtoupper($sesion->getVar('info_colegio.trato'));
$dane = strtoupper($sesion->getVar('info_colegio.dane'));
$pie=$sesion->getVar('info_colegio.pie');

$fotter = $dtsLang['project']['nom_soft'] . ' ' . $dtsLang['project']['ver_soft'] . ' ' . $dtsLang['project']['footertext'];
$pie_pagina = getFotter('&nbsp;',$pie , $fotter);

$codMateria = -1;
$dtsEncabezado = array(
    'nom_colegio' => $nomColegio, 
    'educacol' => $educacol,
    'nit' => $nit,
    'dane' => $dane,
    'alto' => $alto,
    'ancho' => $ancho,
);
$encabezadoOficio = $parse->parse($tmplEncabezado, $dtsEncabezado, true);

while ($reg = $academia->extraer_registro()) {
    $estudiante = json_decode($reg['estudiante'], true);
    $notas = json_decode($reg['notas'], true);
    $disciplina = json_decode($reg['disciplina'], true);
    $observa = json_decode($reg['observa'], true);
    $faltas = json_decode($reg['faltas'], true);

    $dtsEsquema = array(
        'estudiante' => formatoPalabras($estudiante['no_est'], $formato_nombres) ,
        'genero' => $estudiante['genero'],
        'tipo_documento' => $estudiante['tipo_iden'],
        'numero_documento' => $estudiante['numdoc'],
        'lug_expedicion' => $estudiante['expedida'],
        'grado' => $nomgrado,
        'educacion' => ucwords($educacion),
        'decreto' => mb_strtolower($decreto),
        'nom_colegio' => $nomColegio,
        'anio'=>$anio,
    );
    echo $encabezadoOficio;
    echo $parse->parse($cabestudiante, $dtsEsquema, true);
    #echo json_encode($notas,true);
    echo '<table class="table-print font-size-12">';
    echo '<tr class="alto-30">'
    . '<th class="font-size-10" colspan="2">AREA</th>'
    . '<th class="font-size-10">I.H.S.</th>'
    . '<th class="font-size-10">VALORACION INSTITUCIONAL</th>'
    . '<th class="font-size-10">ESCALA NACIONAL</th>'
    . '</tr>';
    #falta la intensidad horaria d ela asignatura
    foreach ($notas as $info) {
        $nom_area=$info['no_area'];
        $bn=1;
        $cant_mats=  count($info['materias']);
        foreach ($info['materias'] as $materia) {
            echo '<tr>';
            if($bn==1){
                echo '<td rowspan="'.$cant_mats.'">'. formatoPalabras(mb_strtolower($nom_area,'UTF-8'), $formato_materias) .'</td>';
            }
            echo '<td class="alto-20">' . formatoPalabras(mb_strtolower($materia['no_asi'],'UTF-8'), $formato_materias) . '</td>'
            . '<td align="center">' . $materia['ihs'] . '</td>'
            . '<td align="center">' . numberFormat($materia['definitiva']) . '</td>'
            . '<td align="center">' . $materia['definitivalet'] . '</td>'
            . '</tr>';
        }
    } 

    echo '</table>';
    echo '<br>'
    . '<table align="center" style="border:1px solid"><tr><td>'
            . 'COMPORTAMIENTO: '.ucwords($observa['letdisciplina'])
    . '</td></tr></table>';

    echo '<br>Se expide a solicitud del  interesado a los ('.$dtsFecha["dia"].') días del mes de ' . $dtsFecha["nommes"]. " del año ". $dtsFecha["anio"].", en la Inspección de Buenos Aires – Orito Putumayo"; 
    
    echo '<br><br><br><br>'; 
    echo '<table align="center" width="100%">'
    . '<tr>'
            . '<td align="center"><p class="font-size-12">_______________________________________<br><b>' . $rector . '</b><br>' . $trato . '</p></td>'
    . '</tr>'
        
    . '</table>';
    
    
    
    #echo '</div><br>';
    echo $pie_pagina
    . '<div id="salto" class="salto"></div>'; //hace que al imprimir salga en hojas apartes
}
$academia->liberar();
$academia->cerrar();


